function paciente()
{
	var exped=document.getElementById('expediente').value;
	
	if(exped=="")
	{
		alert("Debe ingresar el expediente del paciente.");
		document.getElementById('expediente').focus();
		return false;
	}
	
	if (document.getElementById('pp').checked)
	{	
		var parametros = {
			"expedienteop"	: exped
		};
		
		$.ajax({
			data: parametros,
			type: "POST",
			url: "pv_consultas_ajax.php",
			success: function(response)
			{
				$('#nombrepaciente').html(response);
			}
		});
	}
	else
	{
		var parametros = {
			"expediente"	: exped
		};
		
		$.ajax({
			data: parametros,
			type: "POST",
			url: "pv_consultas_ajax.php",
			success: function(response)
			{
				$('#nombrepaciente').html(response);
			}
		});
	}
}


function doctor()
{
	var doctor=document.getElementById('clavedoctor').value;
	
	var parametros = {
		"clavedoc"	: doctor
	};
		
	$.ajax({
		data: parametros,
		type: "POST",
		url: "pv_consultas_ajax.php",
		success: function(response)
		{
			$('#nombredoctor').html(response);
		}
	});
}

function aplicardescuento()
{

	document.getElementById('tablacontenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'> Procesando...</p></center>";
	var iddesc=document.getElementById('descuento').value;
	var folio=document.getElementById('folio').value;
	//alert(iddesc+' '+folio);
	desc=nuevoAjax();
	desc.open("GET", "pv_consultas_ajax.php?descuento="+iddesc+"&folio="+folio,true);
	desc.onreadystatechange= 
	function() 
	{ 	
		if (desc.readyState==4)
		{ 
			document.getElementById('tablacontenido').innerHTML=desc.responseText; 
		}
	} 

	desc.send(null);
}

function addtratamiento()
{
	var exped=document.getElementById('expediente').value;
	
	if(exped=="")
	{
		alert("Debe ingresar el expediente del paciente.");
		document.getElementById('expediente').focus();
		return false;
	}
	else
	{
		if(document.getElementById('cifra').value=="")
		{
			alert("Debe ingresar el la cifra de descuento.");
			document.getElementById('cifra').focus();
			return false;
		}
	}
	
	document.getElementById('tablacontenido').innerHTML= "<p align='center' class='style4'><br><br><img src='img/ajax-loader.gif'><br>Procesando...</p>";

	var tratamiento=document.getElementById('tratamiento').value;
	var cifra=document.getElementById('cifra').value;
	var parametros = {
		"tratamiento"	: tratamiento,
		"descuento"		: cifra
	};
		
	$.ajax({
		data: parametros,
		type: "POST",
		url: "pv_consultas_ajax.php",
		success: function(response)
		{
			$('#tablacontenido').html(response);
		}
	});
	
}


function cancelaventa()
{
	document.getElementById('tablacontenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";
	var folio=document.getElementById('folio').value;
	var clinica=document.getElementById('clinica').value;
	var fecha=document.getElementById('fecha').value;

	borravta=nuevoAjax();
	borravta.open("GET", "pv_consultas_ajax.php?foliocancela="+folio+"&fecha="+fecha+"&clinica="+clinica,true);
	borravta.onreadystatechange= 

	function() 
	{ 	
		if (borravta.readyState==4)
		{ 
			document.getElementById('tablacontenido').innerHTML=borravta.responseText; 
		}
	} 

	borravta.send(null);
	document.getElementById('clavedoctor').value="";
	document.getElementById('expediente').value="";

	alert("La venta con folio "+folio+" ha sido cancelada");

	history.go(0);
}


function ejecutaventa()
{
	var expediente=document.getElementById('expediente').value;
	var clavedoctor=document.getElementById('clavedoctor').value;
	var tratamiento=document.getElementById('idtratamiento').value;

	if (expediente == "")
	{ 
		alert("El expediente del paciente es necesario"); 
		document.getElementById("expediente").focus();
		return (false);
	}

	if (clavedoctor == "")
	{ 
		alert("La clave del doctor es necesaria.");
		document.getElementById("clavedoctor").focus();
		return (false);
	}
	
	if (tratamiento == "0")
	{ 
		alert("Debe seleccionar el tratamiento"); 
		document.getElementById("tratamiento").focus();
		return (false);
	}
	

	//ENVIAR FORMULARIO
	document.formventa.submit();
}


function cambioenventa()

{
	var consfolio=document.getElementById("consfolio").value;
	//alert(consfolio);
	var cambio=document.getElementById("cambio").value;
	//alert(cambio);
	var idcambio=document.getElementById('idcambio').value;
	//alert(idcambio);
	document.getElementById('cambiohecho').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";
	camvta=nuevoAjax();
	camvta.open("GET", "pv_consultas_ajax.php?cambio="+cambio+"&idcambio="+idcambio+"&consfolio="+consfolio,true);
	camvta.onreadystatechange= 
	function() 
	{ 	
		if (camvta.readyState==4)
		{ 
			document.getElementById('cambiohecho').innerHTML=camvta.responseText; 
		}
	} 
	camvta.send(null);
}


function nvopac()
{ location.href="main.php?a=4731";}


function nvopacped()
{ location.href="main.php?a=4751";}


function validareposicion()
{
	if(document.getElementById('repo').checked==true)
	{
		var password;
		var pass1="UCGclinica";
		password=prompt('Inserte su contraseña:','');
		if (password==pass1)
		{
			alert('Clave correcta! Click OK para continuar!');
		}
		else
		{
			document.getElementById('repo').checked=false;
			alert('Clave erronea!');
		}
	}
	else
	{alert("Reposición cancelada");}
}
